summaryrefslogtreecommitdiff
path: root/AOSP-MASTER-LAVAHACK-PATCHSET
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2015-06-27 16:22:43 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2015-06-28 13:38:16 +0800
commitac6e1a90c48e58bb9ffcecc8523a6eebe9eb56e7 (patch)
treecb59c7be8367af4d1a6f11b83dbb291c9a94ac17 /AOSP-MASTER-LAVAHACK-PATCHSET
parentc11dd51689f58b663887ca08d6ef2ba02e6de54d (diff)
downloadandroid-patchsets-ac6e1a90c48e58bb9ffcecc8523a6eebe9eb56e7.tar.gz
AOSP-MASTER-LAVAHACK-PATCHSET: add hacks for LAVA for master
especially the hacks on toybox should be fixed by LAVA side. Add the changes here just for making it run on LAVA and find other possible problems as quick as possible Change-Id: I0c5e5c919afc11387d922ce8e8ae71f0ba111bc0 Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
Diffstat (limited to 'AOSP-MASTER-LAVAHACK-PATCHSET')
-rwxr-xr-xAOSP-MASTER-LAVAHACK-PATCHSET20
1 files changed, 20 insertions, 0 deletions
diff --git a/AOSP-MASTER-LAVAHACK-PATCHSET b/AOSP-MASTER-LAVAHACK-PATCHSET
new file mode 100755
index 0000000..e87df81
--- /dev/null
+++ b/AOSP-MASTER-LAVAHACK-PATCHSET
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+# hack for LAVA
+apply --linaro external/mksh 15922/1
+apply --linaro external/toybox 15924/1